import { Injectable } from '@angular/core';
import { throwError } from 'rxjs';
import { catchError } from 'rxjs/operators';
import { AuthService } from '../auth/auth.service';
import { Router } from '@angular/router';
var ErrorInterceptor = /** @class */ (function () {
    function ErrorInterceptor(authDataService, router) {
        this.authDataService = authDataService;
        this.router = router;
    }
    ErrorInterceptor.prototype.intercept = function (request, next) {
        var _this = this;
        return next.handle(request).pipe(catchError(function (err) {
            if (err.status === 401) {
                // auto logout if 401 response returned from api
                var path = _this.authDataService.deleteUserAuthData();
                _this.router.navigate([path]);
            }
            console.log(err);
            var error = err.error.responseMessage.message || err.error || err.statusText;
            return throwError(error);
        }));
    };
    ErrorInterceptor.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    ErrorInterceptor.ctorParameters = function () { return [
        { type: AuthService },
        { type: Router }
    ]; };
    return ErrorInterceptor;
}());
export { ErrorInterceptor };
//# sourceMappingURL=error-interceptor.js.map