import { Injectable } from '@angular/core';
import { HttpResponse } from '@angular/common/http';
import { finalize, tap } from 'rxjs/operators';
var LoggingInterceptor = /** @class */ (function () {
    function LoggingInterceptor() {
    }
    LoggingInterceptor.prototype.intercept = function (req, next) {
        var startTime = Date.now();
        var status;
        return next.handle(req).pipe(tap(function (event) {
            status = '';
            if (event instanceof HttpResponse) {
                status = 'succeeded';
            }
        }, function (error) { return status = 'failed'; }), finalize(function () {
            var elapsedTime = Date.now() - startTime;
            var message = req.method + '' + req.urlWithParams + ' ' + status
                + ' in ' + elapsedTime + 'ms';
            // console.log(message);
        }));
    };
    LoggingInterceptor.decorators = [
        { type: Injectable },
    ];
    return LoggingInterceptor;
}());
export { LoggingInterceptor };
//# sourceMappingURL=logging-interceptor.js.map